# Introduction to Python programming

## Downloand material

```
git clone https://gitlab.hpc.cineca.it/nspalla1/intro-python.git
cd intro-python
```

## Index:

### 01 Introduction

- Philosophy
- Environment
- Interpreter
- Program file

### 02 Built-in types and operations

### 03 Built-in containers

- Tuples
- Lists
- Sets
- Dicts

### 04 Flow control contructs

- if-elif-else
- For loops
- While loops
- Comparison and logical operators
  - Object reference

### 05 File I/O

- Program arguments

### 06 Functions

- Argument Passing
- Doc string
- Lambda functions

### 07 Introspection and Functional programming

- sort
- lambda functions
- filter, map

### 08 String formatting

- Old and new style
  
### 09 Modules

- Packages

### 10 Standard Library (quick overview)

- os, os.path, shutil
- glob
- sys
- argparse
- re
- math, random
- datetime
- logging
- gzip, csv, json
- sqlite3
- subprocess

### 11 Scientific Modules (very quick introduction)

- Numpy
- Matplotlib
- Scipy
- Pandas

### 12 Classes (short introduction)

- Instances
- Methods
- Attributes
- Inheritance

### 13 Iterables, Generators and Iterators

### 14 More on introspection

### 15 Error handling
